UbuntuUpdates.org

Package "libcaca-dev"

Name: libcaca-dev

Description:

development files for libcaca

Latest version: 0.99.beta19-2.1ubuntu1.20.04.1
Release: focal (20.04)
Level: security
Repository: main
Head package: libcaca
Homepage: http://caca.zoy.org/wiki/libcaca

Links


Download "libcaca-dev"


Other versions of "libcaca-dev" in Focal

Repository Area Version
base main 0.99.beta19-2.1ubuntu1
updates main 0.99.beta19-2.1ubuntu1.20.04.1

Changelog

Version: 0.99.beta19-2.1ubuntu1.20.04.1 2021-04-20 18:07:26 UTC

  libcaca (0.99.beta19-2.1ubuntu1.20.04.1) focal-security; urgency=medium

  * SECURITY UPDATE: Buffer overflow
    - debian/patches/CVE-2021-3410-*.patch: in canvas fix a integer overflow
      in caca_resize() and change some unit tests with that change in
      caca/canvas.c, caca/codec/import.c, caca/codec/text.c, test/canvas.cpp,
      tools/makefont.c.
    - CVE-2021-3410

 -- Leonidas Da Silva Barbosa <email address hidden> Mon, 05 Apr 2021 12:37:39 -0300

CVE-2021-3410 A flaw was found in libcaca v0.99.beta19. A buffer overflow issue in caca_resize function in libcaca/caca/canvas.c may lead to local execution of arb



About   -   Send Feedback to @ubuntu_updates